<?php

if (!defined('_PS_VERSION_')) {
    exit;
}

class Benedic extends Module
{
    public function __construct()
    {
        $this->name = 'benedic';
        $this->tab = 'front_office_features';
        $this->version = '1.0.0';
        $this->author = 'Gabriel';
        $this->need_instance = 0;
        $this->bootstrap = true;

        parent::__construct();

        $this->displayName = $this->l('Benedic');
        $this->description = $this->l('The Benedic Chatbot to talk with your customers.');

        $this->ps_versions_compliancy = ['min' => '1.7.0.0', 'max' => _PS_VERSION_];
    }

    public function install()
    {
        return parent::install() && $this->registerHook('header');
    }

    public function hookHeader()
    {
        $this->context->controller->registerJavascript(
            'cdn-js-benedic',
            'https://cdn.benedic.chat/lib/js',
            ['server' => 'remote']
        );
    }
}
